# Uses of Enum
org.apache.sling.feature.extension.apiregions.api.config.Region

Packages that use Region
Package
Description
org.apache.sling.feature.extension.apiregions.api.config
org.apache.sling.feature.extension.apiregions.api.config.validation

## Uses of Region in org.apache.sling.feature.extension.apiregions.api.config

Methods in org.apache.sling.feature.extension.apiregions.api.config that return Region
Modifier and Type
Method
Description
`Region`
ConfigurationApi.`detectRegion()`
Detect the region, either return the stored region or the default (GLOBAL)
`Region`
ConfigurableEntity.`getRegion()`
Which region does this entity apply to?
`Region`
ConfigurationApi.`getRegion()`
Get the api configuration region
`static Region`
Region.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Region[]`
Region.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.sling.feature.extension.apiregions.api.config that return types with arguments of type Region
Modifier and Type
Method
Description
`Map<org.apache.sling.feature.ArtifactId,Region>`
ConfigurationApi.`getFeatureToRegionCache()`
Get the feature to region cache to keep track of regions for origin features
Methods in org.apache.sling.feature.extension.apiregions.api.config with parameters of type Region
Modifier and Type
Method
Description
`void`
ConfigurableEntity.`setRegion(Region region)`
Set the region of this entity.
`void`
ConfigurationApi.`setRegion(Region value)`
Set the api configuration region

## Uses of Region in org.apache.sling.feature.extension.apiregions.api.config.validation

Methods in org.apache.sling.feature.extension.apiregions.api.config.validation with parameters of type Region
Modifier and Type
Method
Description
`ConfigurationValidationResult`
ConfigurationValidator.`validate(org.apache.sling.feature.Configuration config, ConfigurableEntity desc, Region region)`
Validate a configuration
`ConfigurationValidationResult`
ConfigurationValidator.`validate(org.apache.sling.feature.Configuration config, ConfigurableEntity desc, Region region, Mode mode)`
Validate a configuration